Subject: bug#65432: 30.0.50; jerky image movements when zoomed

From: Manuel Giraud <[email-masked]>
Date: Thu, 24 Aug 2023 15:48:55 +0200

Po Lu <[email-masked]> writes:

[...]

>> I cannot reproduce this, on MS-Windows.  I see no difference between
>> "jerkyness" of motion commands before and after 'i -'.
>
> This is a known inefficiency with Cairo's implementation of affine
> transforms.  AFAICT, Cairo performs the transform on the CPU, which is
> aggravated by uploading the complete bitmap to the X server every time
> the image is displayed.
>
> Building without Cairo should induce Emacs to utilize XRender transforms
> instead, ameliorating this problem.

Thanks, I'm going to try without Cairo.  But would it be possible to
have Emacs using cairo for everything except for raster images?
-- 
Manuel Giraud